Subject: Re: [Detnet] [Gen-art] Genart last call review of draft-ietf-detnet-ip-over-mpls-05

From: Alissa Cooper <[email-masked]>
Date: Thu, 10 Sep 2020 09:41:59 -0400

Tim, thanks for your review. Balázs, thanks for your responses. I entered a No Objection ballot.

Alissa

> On Apr 28, 2020, at 5:43 PM, Tim Evens (tievens) <tievens=[email-masked]> wrote:
> 
> Thanks. 
> 
> On 4/28/20, 2:33 AM, "Balázs Varga A" <[email-masked]> wrote:
> 
>    Hi Tim,
>    Thanks for the explicit suggestions, I agree that makes text clearer.
>    I will update the draft accordingly in the suggested format.
>    Cheers
>    Bala'zs
> 
>    -----Original Message-----
>    From: Tim Evens (tievens) <[email-masked]> 
>    Sent: Tuesday, April 28, 2020 1:48 AM
>    To: Balázs Varga A <[email-masked]>; [email-masked]
>    Cc: [email-masked]; [email-masked]; [email-masked]
>    Subject: Re: Genart last call review of draft-ietf-detnet-ip-over-mpls-05
> 
>    Hi Bala'zs, 
> 
>    For the most part, great.   See comments inline marked [tievens]...
> 
> 
>    On 4/27/20, 7:22 AM, "Balázs Varga A" <mailto:[email-masked]> wrote:
> 
>    Hi Tim,
>    Thanks for the review. Your comments will be incorporated in the next version.
>    Feedbacks are inline below marked with <BV>.
>    Many thanks
>    Bala'zs
> 
>    -----Original Message-----
>    Subject: Genart last call review of draft-ietf-detnet-ip-over-mpls-05
> 
>    Reviewer: Tim Evens
>    Review result: Ready with Nits
> 
>    ... 
> 
>    In Section 4.2:
> 
>    * There is reference to section 5.1.1 and 5.1.2, but those sections do not exist in this draft.  Can you clarify which draft/RFC these sections are referring to? 
>    <BV> Right, they are referring to "https://datatracker.ietf.org/doc/draft-ietf-detnet-ip/". Reference is at the end of the sentence. 
>      "   ...   IP" and "NProto" indicate the fields described in
>       Section 5.1.1.  IP Header Information and Section 5.1.2.  Other
>       Protocol Header Information in [I-D.ietf-detnet-ip], respectively.
> 
>    [tievens] The reference is assumed instead of being direct, such as "as defined in Section 5.1.1 of [<draft>]"
> 
>    * "Per [I-D.ietf-detnet-mpls], the DetNet MPLS data plane uses a single
>       S-Label to support a single app flow.  Section 5.1.  DetNet IP Flow
>       Identification Procedures ..."  
> 
>       Why is Section 5.1 referenced like this?
>    <BV> Again, this is referring to "https://datatracker.ietf.org/doc/draft-ietf-detnet-ip/".
> 
>    [tievens] the callout here is that this type of reference is on the side of being terse, not succinct and clear as to which document this section is belongs. Would it not be more succinct and clear as:
> 
>      "Per Section 5.1 of [I-D.ietf-detnet-mpls], the DetNet MPLS data plane uses a single
>         S-Label to support a single app flow. DetNet IP Flow
>         Identification Procedures in Section 4.4 of [I-D.ietf-detnet-ip] states that a
>         single DetNet flow is identified based on IP, and next level
>         protocol, header information."
>    ?
> 
>    * "DetNet IP Flow Identification Procedures in [I-D.ietf-detnet-ip] states
>       that a single DetNet flow is identified based on IP, and next level
>       protocol, header information.  Section 4.4.  Aggregation..."  
> 
>       It would be more clear to specifically refer to the draft/rfc and section.
>    <BV> Again, this is referring to "https://datatracker.ietf.org/doc/draft-ietf-detnet-ip/".
> 
>    [tievens] IMO, this would benefit from being more clear as stated above.  It doesn't add much verbosity to add "<section> of [<draft/rfc>].
> 
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art